<?

if ($l=='/')
$set['title']='Зона Обмена Aclove.Ru'; // заголовок страницы
else $set['title']='Обменник - '.$dir_id['name']; // заголовок страницы
$_SESSION['page']=1;
include_once '../sys/inc/thead.php';
title();
if ($l!='/' && isset($user) && $dir_id['upload']==1)include 'inc/upload_act.php';
if (isset($user) && $user['level']>1)include 'inc/admin_act.php';

err();
aut(); // форма авторизации

echo "<div class='rekl_main'>";
$k_p=mysql_result(mysql_query("SELECT COUNT(*) FROM `obmennik_files`",$db), 0);
$k_n= mysql_result(mysql_query("SELECT COUNT(*) FROM `obmennik_files` WHERE `time` > '".(time()-60*60*$set['loads_new_file_hour'])."'",$db), 0);
if ($k_n==0)$k_n=NULL;
else $k_n='+'.$k_n;
echo "<div class=\"gend\">\n";
echo "<img src='/style/obmen/018.png' alt=''/> Bсего файлов <font color='red'>$k_p</font><br/>";
echo "<img src='/img/tabor/search.gif' alt=''/>\n";
echo "<a href='/obmen/search.php'> Поиск файлов</a><br/>\n";
echo "<img src='/style/obmen/084.png' alt=''/>\n";
echo "<a href='/info/rules_obmen.php'> Правила Загрузки</a><br/>\n";
echo "<img src='/style/obmen/083.png' alt=''/>\n";
echo "<a href='/obmen/new.php'> Новые за сутки</a>\n";
$k_p=mysql_result(mysql_query("SELECT COUNT(*) FROM `obmennik_files`",$db), 0);
$k_n= mysql_result(mysql_query("SELECT COUNT(*) FROM `obmennik_files` WHERE `time` > '".(time()-60*60*$set['loads_new_file_hour'])."'",$db), 0);
if ($k_n==0)$k_n=NULL;
else $k_n='+'.$k_n;
echo "<font color='red'>$k_n</font>";

echo "</div>\n";

if ($l!='/'){
echo "<div class='foot'>";
echo "<a href='/obmen/'>Обменник</a> &gt; ".obmen_path($l)."<br />\n";
echo "</div>\n";
}


$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `obmennik_dir` WHERE `dir_osn` = '/$l' OR `dir_osn` = '$l/' OR `dir_osn` = '$l'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$k_dir=$k_post;


$q=mysql_query("SELECT * FROM `obmennik_dir` WHERE `dir_osn` = '/$l' OR `dir_osn` = '$l/' OR `dir_osn` = '$l' ORDER BY `name`,`num`");
while ($post = mysql_fetch_array($q))
{

if($num==1){ 
echo "<div class='rowdown'>"; 
$num=0;
}else{ 
echo "<div class='rowup'>"; 
$num=1;}

echo "<img src='/obmen/to33blue.png' alt='' class='icon'/> <a href='/obmen$post[dir]'>$post[name]</a>";

$k_f=0;
$k_n=0;

$q3=mysql_query("SELECT * FROM `obmennik_dir` WHERE `dir_osn` like '$post[dir]%'");
while ($post2 = mysql_fetch_array($q3))
{
$k_f=$k_f+mysql_result(mysql_query("SELECT COUNT(*) FROM `obmennik_files` WHERE `id_dir` = '$post2[id]'"),0);
$k_n=$k_n+mysql_result(mysql_query("SELECT COUNT(*) FROM `obmennik_files` WHERE `id_dir` = '$post2[id]' AND `time` > '".(time()-86400)."'",$db), 0);
}
$k_f=$k_f+mysql_result(mysql_query("SELECT COUNT(*) FROM `obmennik_files` WHERE `id_dir` = '$post[id]'"),0);
$k_n=$k_n+mysql_result(mysql_query("SELECT COUNT(*) FROM `obmennik_files` WHERE `id_dir` = '$post[id]' AND `time` > '".(time()-86400)."'",$db), 0);

if ($k_n==0)$k_n=NULL;
else $k_n='/+'.$k_n;

echo " ($k_f$k_n)<br />\n";
echo "</div>";
}




$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `obmennik_files` WHERE `id_dir` = '$id_dir'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];

if ($k_post==0 && $k_dir==0)
{
echo "Папка пуста, файлов нету. Будь первым! Залей что то)<br/>\n";
}

$q=mysql_query("SELECT * FROM `obmennik_files` WHERE `id_dir` = '$id_dir' ORDER BY `time` DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_array($q))
{
$ras=$post['ras'];
$file=H."sys/obmen/files/$post[id].dat";
$name=$post['name'];
$size=$post['size'];

if($num==1){ 
echo "<div class='rowdown'>"; 
$num=0;
}else{ 
echo "<div class='rowup'>"; 
$num=1;}

include 'inc/icon14.php';
if ($set['echo_rassh']==1)$ras=".$post[ras]";else $ras=NULL;
echo "<a href='/obmen$dir_id[dir]$post[name].$post[ras]?showinfo'>$post[name]$ras</a><br />\n";
include 'inc/opis.php';
echo "</div>";

}

if ($k_page>1)str('?',$k_page,$page); // Вывод страниц


if ($l!='/'){
echo "<div class='foot'>";
echo "<a href='/obmen/'>Обменник</a> &gt; ".obmen_path($l)."<br />\n";

echo "</div>\n";
}
echo "<div class=\"gend\">\n";
echo "<img src='/img/adm.png' alt=''/>\n";
echo "<a href='/info/administration.php'>Модераторы</a><br />\n";

if ($l!='/' && isset($user) && $dir_id['upload']==1)include 'inc/upload_form.php';
if (isset($user) && $user['level']>1)include 'inc/admin_form.php';


?>